Subject: Re: bug#646: emacsclient with no args to behave like -a

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 27 Aug 2021 16:50:10 +0200

Jim Porter <[email-masked]> writes:

> "First, I recommend using the W32 package. W32 has hacked the
> emacsclient in several useful ways. It will start Emacs if it isn't
> already running, it will call "raise-frame" on the Emacs window when
> started, and it permits starting emacsclient without a filename. "[1]

I think that's how emacsclient works these days -- if you set
ALTERNATE_EDITOR to the empty string.  (It starts a new daemon Emacs and
then connects to it.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no